import 'package:flutter/services.dart';

class ExerciseType {
  int exerciseTypeId;
  String name;
  String description;
  BinaryCodec video;
  String unit;
  String unitQuantity;
  String unitQuantityUnit;

  ExerciseType({this.name, this.description});

  ExerciseType.fromJson(Map json) {
    this.exerciseTypeId = json['exerciseTypeId'];
    this.name = json['name'];
    this.description = json['description'];
    this.unit = json['unit'];
    this.unitQuantity = json['unitQuantity'];
    this.unitQuantityUnit = json['unitQuantityUnit'];
  }

  Map<String, dynamic> toJson() =>
      {
        "name": name,
        "description": description,
        "unit": unit,
        "unitQuantity": unitQuantity,
        "unitQuantityUnit": unitQuantityUnit
      };
}