import 'package:aitrainer_app/localization/app_localization.dart';
import 'package:aitrainer_app/viewmodel/customer_changing_view_model.dart';
import 'package:flutter/material.dart';

// ignore: must_be_immutable
class CustomerFitnessPage extends StatefulWidget{
  _CustomerFitnessPageState _state;

  _CustomerFitnessPageState createState() {
    _state = _CustomerFitnessPageState();
    return _state;
  }
}

class GenderItem {
  GenderItem(this.dbValue,this.name);
  final String dbValue;
  String name;
}

class _CustomerFitnessPageState extends State<CustomerFitnessPage> {
  @override
  Widget build(BuildContext context) {
    final CustomerChangingViewModel changingViewModel = ModalRoute.of(context).settings.arguments;

    return Scaffold(
        appBar: AppBar(
          title: Row(
            mainAxisAlignment: MainAxisAlignment.end,
            children: <Widget>[

              Image.asset(
                'asset/image/WT_long_logo.png',
                fit: BoxFit.cover,
                height: 65.0,
              ),
            ],
          ),
          backgroundColor: Colors.transparent,
          ),
          body: Container(
            decoration: BoxDecoration(
              image: DecorationImage(
                image: AssetImage('asset/image/WT_light_background.png'),
                fit: BoxFit.cover,
                alignment: Alignment.center,
              ),
            ),
            child: Center(
              child: Column(
                children: [
                  Divider(),
                  InkWell(
                    child: Text("Your Fitness State",
                      style: TextStyle(color: Colors.orange,
                          fontSize: 50, fontFamily: 'Arial',
                          fontWeight: FontWeight.w900 ),),
                    highlightColor: Colors.white,
                  ),

                  RaisedButton(

                    color: Colors.orange,
                    textColor: Colors.white,
                    child: InkWell(
                        child: Text(AppLocalizations.of(context).translate("Next"))),
                    onPressed: () => {
                      //changingViewModel.saveCustomer(),
                      Navigator.of(context).pop(),
                      Navigator.of(context).pushNamed("customerBodyTypePage", arguments: changingViewModel)
                    },
                  )
                ],
              ),
            )
          ),
    );
  }

}