import 'package:aitrainer_app/model/customer.dart';

class CustomerViewModel {
  Customer customer;
  bool visibleDetails = false;

  CustomerViewModel({this.customer});

  String get name {
    return this.customer.name;
  }

  String get firstName {
    return this.customer.firstname;
  }

  String get sex {
    return this.customer.sex == "m" ? "Man" : "Woman";
  }

  int get birthYear {
    return this.birthYear;
  }

  setName(String name) {
    this.customer.name = name;
  }
  setFirstName(String firstName) {
    this.customer.firstname = firstName;
  }

  setPassword( String password ) {
    this.customer.password = password;
  }

  setEmail(String email) {
    this.customer.email = email;
  }


  setSex(String sex) {
    this.customer.sex = sex;
  }

  setWeight( int weight) {
    this.customer.weight = weight;
  }

  setBirthYear( int birthYear ) {
    this.customer.birthYear = birthYear;
  }

  setFitnessLevel( String level ) {
    this.customer.fitnessLevel = level;
  }

  setGoal( String goal ) {
    this.customer.goal = goal;
  }

  setBodyType(String bodyType) {
    this.customer.bodyType = bodyType;
  }

  createNew() {
    this.customer = Customer();
  }

  Customer getCustomer() {
    return this.customer;
  }
}
