import 'package:aitrainer_app/model/exercise.dart';

class ExerciseViewModel {
  Exercise exercise;
  ExerciseViewModel({this.exercise});

  createNew() {
    this.exercise = Exercise();
    exercise.dateAdd = DateTime.now();
  }

  setQuantity(double quantity) {
    this.exercise.quantity = quantity;
  }

  setUnitQuantity(double unitQuantity) {
    this.exercise.unitQuantity = unitQuantity;
  }

  setUnit( String unit) {
    this.exercise.unit = unit;
  }

  setDatetimeExercise(DateTime datetimeExercise) {
    this.exercise.dateAdd = datetimeExercise;
  }

  Exercise getExercise() {
    return this.exercise;
  }
}